Changeset 837 for branches


Ignore:
Timestamp:
Jul 10, 2006 4:23:33 PM (13 years ago)
Author:
andreasw
Message:

took over latest changes from trunk

Location:
branches/devel/Clp
Files:
9 edited

Legend:

Unmodified
Added
Removed
  • branches/devel/Clp/Makefile.in

    r827 r837  
    124124COINUTILSOBJDIR = @COINUTILSOBJDIR@
    125125COINUTILSSRCDIR = @COINUTILSSRCDIR@
    126 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    127 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    128126COIN_HAS_CLP_FALSE = @COIN_HAS_CLP_FALSE@
    129127COIN_HAS_CLP_TRUE = @COIN_HAS_CLP_TRUE@
     
    138136CXXFLAGS = @CXXFLAGS@
    139137CYGPATH_W = @CYGPATH_W@
     138DBG_CFLAGS = @DBG_CFLAGS@
     139DBG_CXXFLAGS = @DBG_CXXFLAGS@
    140140DEFS = @DEFS@
    141141DEPDIR = @DEPDIR@
     
    171171MPICXX = @MPICXX@
    172172OBJEXT = @OBJEXT@
     173OPT_CFLAGS = @OPT_CFLAGS@
     174OPT_CXXFLAGS = @OPT_CXXFLAGS@
    173175PACKAGE = @PACKAGE@
    174176PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  • branches/devel/Clp/configure

    r830 r837  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE COIN_DEBUG_TRUE COIN_DEBUG_FALSE CDEFS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT ADD_CFLAGS MPICC CXXDEFS CXX CXXFLAGS ac_ct_CXX ADD_CXXFLAGS MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL LT_LDFLAGS RPATH_FLAGS COINUTILSSRCDIR COINUTILSOBJDIR COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE CLPSRCDIR CLPOBJDIR COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    918918ac_cv_env_CDEFS_set=${CDEFS+set}
    919919ac_cv_env_CDEFS_value=$CDEFS
     920ac_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
     921ac_env_ADD_CFLAGS_value=$ADD_CFLAGS
     922ac_cv_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
     923ac_cv_env_ADD_CFLAGS_value=$ADD_CFLAGS
     924ac_env_DBG_CFLAGS_set=${DBG_CFLAGS+set}
     925ac_env_DBG_CFLAGS_value=$DBG_CFLAGS
     926ac_cv_env_DBG_CFLAGS_set=${DBG_CFLAGS+set}
     927ac_cv_env_DBG_CFLAGS_value=$DBG_CFLAGS
     928ac_env_OPT_CFLAGS_set=${OPT_CFLAGS+set}
     929ac_env_OPT_CFLAGS_value=$OPT_CFLAGS
     930ac_cv_env_OPT_CFLAGS_set=${OPT_CFLAGS+set}
     931ac_cv_env_OPT_CFLAGS_value=$OPT_CFLAGS
    920932ac_env_CC_set=${CC+set}
    921933ac_env_CC_value=$CC
     
    934946ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
    935947ac_cv_env_CPPFLAGS_value=$CPPFLAGS
    936 ac_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
    937 ac_env_ADD_CFLAGS_value=$ADD_CFLAGS
    938 ac_cv_env_ADD_CFLAGS_set=${ADD_CFLAGS+set}
    939 ac_cv_env_ADD_CFLAGS_value=$ADD_CFLAGS
    940948ac_env_MPICC_set=${MPICC+set}
    941949ac_env_MPICC_value=$MPICC
     
    946954ac_cv_env_CXXDEFS_set=${CXXDEFS+set}
    947955ac_cv_env_CXXDEFS_value=$CXXDEFS
     956ac_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
     957ac_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
     958ac_cv_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
     959ac_cv_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
     960ac_env_DBG_CXXFLAGS_set=${DBG_CXXFLAGS+set}
     961ac_env_DBG_CXXFLAGS_value=$DBG_CXXFLAGS
     962ac_cv_env_DBG_CXXFLAGS_set=${DBG_CXXFLAGS+set}
     963ac_cv_env_DBG_CXXFLAGS_value=$DBG_CXXFLAGS
     964ac_env_OPT_CXXFLAGS_set=${OPT_CXXFLAGS+set}
     965ac_env_OPT_CXXFLAGS_value=$OPT_CXXFLAGS
     966ac_cv_env_OPT_CXXFLAGS_set=${OPT_CXXFLAGS+set}
     967ac_cv_env_OPT_CXXFLAGS_value=$OPT_CXXFLAGS
    948968ac_env_CXX_set=${CXX+set}
    949969ac_env_CXX_value=$CXX
     
    954974ac_cv_env_CXXFLAGS_set=${CXXFLAGS+set}
    955975ac_cv_env_CXXFLAGS_value=$CXXFLAGS
    956 ac_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
    957 ac_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
    958 ac_cv_env_ADD_CXXFLAGS_set=${ADD_CXXFLAGS+set}
    959 ac_cv_env_ADD_CXXFLAGS_value=$ADD_CXXFLAGS
    960976ac_env_MPICXX_set=${MPICXX+set}
    961977ac_env_MPICXX_value=$MPICXX
     
    10591075  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
    10601076  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
    1061   --enable-debug          compile with debug options and runtime tests
     1077  --enable-debug          compile all projects with debug options tests
     1078  --enable-debug-clp compile this project (Clp) with debug options
    10621079  --enable-static[=PKGS]
    10631080                          build static libraries [default=no]
     
    10761093  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
    10771094  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
     1095  --with-clp-verbosity specify the debug verbosity level for project Clp
     1096  --with-clp-checklevel specify the sanity check level for project Clp
    10781097  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]
    10791098  --with-pic              try to use only PIC/non-PIC objects [default=use
     
    10841103Some influential environment variables:
    10851104  CDEFS       Additional -D flags to be used when compiling C code.
     1105  ADD_CFLAGS  Additional C compiler options
     1106  DBG_CFLAGS  Debug C compiler options
     1107  OPT_CFLAGS  Optimize C compiler options
    10861108  CC          C compiler command
    10871109  CFLAGS      C compiler flags
     
    10901112  CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
    10911113              headers in a nonstandard directory <include dir>
    1092   ADD_CFLAGS  Additional C compiler options
    10931114  MPICC       C MPI Compiler
    10941115  CXXDEFS     Additional -D flags to be used when compiling C++ code.
     1116  ADD_CXXFLAGS
     1117              Additional C++ compiler options
     1118  DBG_CXXFLAGS
     1119              Debug C++ compiler options
     1120  OPT_CXXFLAGS
     1121              Optimize C++ compiler options
    10951122  CXX         C++ compiler command
    10961123  CXXFLAGS    C++ compiler flags
    1097   ADD_CXXFLAGS
    1098               Additional C++ compiler options
    10991124  MPICXX      C++ MPI Compiler
    11001125  CPP         C preprocessor
     
    16731698  enableval="$enable_debug"
    16741699  case "${enableval}" in
    1675                    yes) coin_debug_compile=true
    1676 
    1677 cat >>confdefs.h <<\_ACEOF
    1678 #define COIN_DEBUG 1
    1679 _ACEOF
    1680 
    1681                      enable_shared=no
    1682                      ;;
    1683                    no)  coin_debug_compile=false
    1684                      ;;
    1685                     *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
     1700   yes) coin_debug_compile=true
     1701        enable_shared=no
     1702        ;;
     1703   no)  coin_debug_compile=false
     1704        ;;
     1705   *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug" >&5
    16861706echo "$as_me: error: bad value ${enableval} for --enable-debug" >&2;}
    16871707   { (exit 1); exit 1; }; }
    1688                      ;;
    1689                  esac
     1708        ;;
     1709esac
    16901710else
    16911711  coin_debug_compile=false
    16921712fi;
     1713
     1714# Check whether --enable-debug-clp or --disable-debug-clp was given.
     1715if test "${enable_debug_clp+set}" = set; then
     1716  enableval="$enable_debug_clp"
     1717  case "${enableval}" in
     1718    yes) coin_debug_compile=true
     1719         enable_shared=no
     1720         ;;
     1721    no)  coin_debug_compile=false
     1722         ;;
     1723    *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --enable-debug-clp" >&5
     1724echo "$as_me: error: bad value ${enableval} for --enable-debug-clp" >&2;}
     1725   { (exit 1); exit 1; }; }
     1726         ;;
     1727 esac
     1728else
     1729  :
     1730fi;
     1731
     1732 # m4_ifvaln([Clp],
    16931733
    16941734if test $coin_debug_compile = true; then
     
    17011741
    17021742
    1703 
    1704 if test "$coin_debug_compile" = true; then
    1705   COIN_DEBUG_TRUE=
    1706   COIN_DEBUG_FALSE='#'
    1707 else
    1708   COIN_DEBUG_TRUE='#'
    1709   COIN_DEBUG_FALSE=
    1710 fi
     1743# Check whether --with-clp-verbosity or --without-clp-verbosity was given.
     1744if test "${with_clp_verbosity+set}" = set; then
     1745  withval="$with_clp_verbosity"
     1746  coin_clp_verbosity=$withval
     1747else
     1748  coin_clp_verbosity=0
     1749fi;
     1750
     1751cat >>confdefs.h <<_ACEOF
     1752#define COIN_CLP_VERBOSITY $coin_clp_verbosity
     1753_ACEOF
     1754
     1755
     1756
     1757# Check whether --with-clp-checklevel or --without-clp-checklevel was given.
     1758if test "${with_clp_checklevel+set}" = set; then
     1759  withval="$with_clp_checklevel"
     1760  coin_clp_checklevel=$withval
     1761else
     1762  coin_clp_checklevel=0
     1763fi;
     1764
     1765cat >>confdefs.h <<_ACEOF
     1766#define COIN_CLP_CHECKLEVEL $coin_clp_checklevel
     1767_ACEOF
     1768
     1769
     1770# We use the following variable to have a string with the upper case
     1771# version of the project name
     1772COIN_PRJCT=CLP
     1773
     1774
     1775 # m4_ifvaln([Clp],
    17111776
    17121777
     
    17461811
    17471812
     1813
     1814
     1815
    17481816coin_has_cc=yes
    17491817
     
    17531821             comps="gcc cl" ;;
    17541822  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
    1755   *)         comps="xlc cc gcc pgcc icc" ;;
     1823  *)         comps="xlc_r xlc cc gcc pgcc icc" ;;
    17561824esac
    17571825
    17581826# We delete the cached value, since the test might not have been
    17591827# performed with out choise of compilers earlier
    1760 ac_cv_prog_CC=
     1828$as_unset ac_cv_prog_CC || test "${ac_cv_prog_CC+set}" != set || { ac_cv_prog_CC=; export ac_cv_prog_CC; }
    17611829ac_ext=c
    17621830ac_cpp='$CPP $CPPFLAGS'
     
    24742542CFLAGS="$save_cflags"
    24752543
    2476 echo "$as_me:$LINENO: checking for C compiler options" >&5
    2477 echo $ECHO_N "checking for C compiler options... $ECHO_C" >&6
    2478 if test "${coin_cv_cflags+set}" = set; then
    2479   echo $ECHO_N "(cached) $ECHO_C" >&6
    2480 else
    2481   if test x"$CFLAGS" = x; then
     2544# Check if a project specific CFLAGS variable has been set
     2545if test x$COIN_PRJCT != x; then
     2546  eval coin_tmp=\${${COIN_PRJCT}_CFLAGS+set}
     2547  if test x$coin_tmp = xset; then
     2548    eval CFLAGS=\${${COIN_PRJCT}_CFLAGS}
     2549  fi
     2550fi
     2551
     2552if test x"$CFLAGS" = x; then
    24822553
    24832554  coin_add_cflags=
     
    26522723  fi
    26532724
    2654   if test "$coin_debug_compile" = "true"; then
    2655     CFLAGS="$coin_dbg_cflags $coin_add_cflags $CDEFS $coin_warn_cflags"
    2656   else
    2657     if test -z "$coin_opt_cflags"; then
    2658       # Try if -O option works if nothing else is set
    2659       CFLAGS="-O"
    2660       cat >conftest.$ac_ext <<_ACEOF
     2725  if test -z "$coin_opt_cflags"; then
     2726    # Try if -O option works if nothing else is set
     2727    CFLAGS="-O"
     2728    cat >conftest.$ac_ext <<_ACEOF
    26612729/* confdefs.h.  */
    26622730_ACEOF
     
    27032771rm -f conftest.err conftest.$ac_objext \
    27042772      conftest$ac_exeext conftest.$ac_ext
    2705     fi
    2706     CFLAGS="$coin_opt_cflags $coin_add_cflags -DNDEBUG $CDEFS $coin_warn_cflags"
     2773  fi
     2774
     2775  if test x${DBG_CFLAGS+set} != xset; then
     2776    DBG_CFLAGS="$coin_dbg_cflags $coin_add_cflags $coin_warn_cflags"
     2777  fi
     2778  if test x${OPT_CFLAGS+set} != xset; then
     2779    OPT_CFLAGS="$coin_opt_cflags $coin_add_cflags -DNDEBUG $coin_warn_cflags"
     2780  fi
     2781
     2782  DBG_CFLAGS="$DBG_CFLAGS $ADD_CFLAGS $CDEFS"
     2783  OPT_CFLAGS="$OPT_CFLAGS $ADD_CFLAGS $CDEFS"
     2784
     2785  if test "$coin_debug_compile" = "true"; then
     2786    CFLAGS="$DBG_CFLAGS"
     2787  else
     2788    CFLAGS="$OPT_CFLAGS"
     2789  fi
     2790else
     2791  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     2792  if test x${DBG_CFLAGS+set} != xset; then
     2793    DBG_CFLAGS="$CFLAGS"
     2794  fi
     2795  if test x${OPT_CFLAGS+set} != xset; then
     2796    OPT_CFLAGS="$CFLAGS"
    27072797  fi
    27082798fi
     
    27152805
    27162806# Try if CFLAGS works
     2807save_CFLAGS="$CFLAGS"
    27172808cat >conftest.$ac_ext <<_ACEOF
    27182809/* confdefs.h.  */
     
    27622853      conftest$ac_exeext conftest.$ac_ext
    27632854if test -z "$CFLAGS"; then
    2764   { echo "$as_me:$LINENO: WARNING: The value CFLAGS=\"$CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&5
    2765 echo "$as_me: WARNING: The value CFLAGS=\"$CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&2;}
     2855  { echo "$as_me:$LINENO: WARNING: The value CFLAGS=\"$save_CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&5
     2856echo "$as_me: WARNING: The value CFLAGS=\"$save_CFLAGS\" do not work.  I will now just try '-O', but you might want to set CFLAGS manually." >&2;}
    27662857  CFLAGS='-O'
    27672858  cat >conftest.$ac_ext <<_ACEOF
     
    28162907  fi
    28172908fi
    2818 coin_cv_cflags="$CFLAGS"
    2819 
    2820 fi
    2821 echo "$as_me:$LINENO: result: $coin_cv_cflags" >&5
    2822 echo "${ECHO_T}$coin_cv_cflags" >&6 # AC_CACHE_CHECK([for C compiler options CXXFLAGS]
    2823 CFLAGS="$coin_cv_cflags"
     2909
     2910{ echo "$as_me:$LINENO: C compiler options are: $CFLAGS" >&5
     2911echo "$as_me: C compiler options are: $CFLAGS" >&6;}
    28242912
    28252913
     
    28632951
    28642952
     2953
     2954
     2955
    28652956coin_has_cxx=yes
    28662957
     
    28702961             comps="g++ cl" ;;
    28712962  *-darwin*) comps="g++ c++ CC" ;;
    2872           *) comps="xlC aCC CC g++ c++ pgCC icpc" ;;
     2963          *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    28732964esac
    28742965
    28752966# We delete the cached value, since the test might not have been
    28762967# performed with out choise of compilers earlier
    2877 ac_cv_prog_CXX=
     2968$as_unset ac_cv_prog_CXX || test "${ac_cv_prog_CXX+set}" != set || { ac_cv_prog_CXX=; export ac_cv_prog_CXX; }
    28782969ac_ext=cc
    28792970ac_cpp='$CXXCPP $CPPFLAGS'
     
    32333324CXXFLAGS="$save_cxxflags"
    32343325
    3235 echo "$as_me:$LINENO: checking for C++ compiler options" >&5
    3236 echo $ECHO_N "checking for C++ compiler options... $ECHO_C" >&6
    3237 if test "${coin_cv_cxxflags+set}" = set; then
    3238   echo $ECHO_N "(cached) $ECHO_C" >&6
    3239 else
    3240   if test x"$CXXFLAGS" = x; then
     3326# Check if a project specific CXXFLAGS variable has been set
     3327if test x$COIN_PRJCT != x; then
     3328  eval coin_tmp=\${${COIN_PRJCT}_CXXFLAGS+set}
     3329  if test x$coin_tmp = xset; then
     3330    eval CXXFLAGS=\${${COIN_PRJCT}_CXXFLAGS}
     3331  fi
     3332fi
     3333
     3334if test x"$CXXFLAGS" = x; then
    32413335
    32423336# ToDo decide whether we want -DNDEBUG for optimization
     
    34133507  fi
    34143508
    3415   if test "$coin_debug_compile" = "true"; then
    3416     CXXFLAGS="$coin_dbg_cxxflags $coin_add_cxxflags $CXXDEFS $coin_warn_cxxflags"
    3417   else
    3418     if test -z "$coin_opt_cxxflags"; then
    3419       # Try if -O option works if nothing else is set
    3420       CXXFLAGS="-O"
    3421       cat >conftest.$ac_ext <<_ACEOF
     3509  if test -z "$coin_opt_cxxflags"; then
     3510    # Try if -O option works if nothing else is set
     3511    CXXFLAGS=-O
     3512    cat >conftest.$ac_ext <<_ACEOF
    34223513/* confdefs.h.  */
    34233514_ACEOF
     
    34643555rm -f conftest.err conftest.$ac_objext \
    34653556      conftest$ac_exeext conftest.$ac_ext
    3466     fi
    3467     CXXFLAGS="$coin_opt_cxxflags $coin_add_cxxflags -DNDEBUG $CXXDEFS $coin_warn_cxxflags"
    34683557  fi
    3469 fi
    3470 
    3471 # Check if user wants to have additional CXXFLAGS options
    3472 
    3473 if test x"$ADD_CXXFLAGS" != x; then
    3474   CXXFLAGS="$CXXFLAGS $ADD_CXXFLAGS"
     3558
     3559  if test x${DBG_CXXFLAGS+set} != xset; then
     3560    DBG_CXXFLAGS="$coin_dbg_cxxflags $coin_add_cxxflags $coin_warn_cxxflags"
     3561  fi
     3562  if test x${OPT_CXXFLAGS+set} != xset; then
     3563    OPT_CXXFLAGS="$coin_opt_cxxflags $coin_add_cxxflags -DNDEBUG $coin_warn_cxxflags"
     3564  fi
     3565
     3566  DBG_CXXFLAGS="$DBG_CXXFLAGS $ADD_CXXFLAGS $CXXDEFS"
     3567  OPT_CXXFLAGS="$OPT_CXXFLAGS $ADD_CXXFLAGS $CXXDEFS"
     3568
     3569  if test "$coin_debug_compile" = "true"; then
     3570    CXXFLAGS="$DBG_CXXFLAGS"
     3571  else
     3572    CXXFLAGS="$OPT_CXXFLAGS"
     3573  fi
     3574else
     3575  CXXFLAGS="$CXXFLAGS $ADD_CXXFLAGS $CXXDEFS"
     3576  if test x${DBG_CXXFLAGS+set} != xset; then
     3577    DBG_CXXFLAGS="$CXXFLAGS"
     3578  fi
     3579  if test x${OPT_CXXFLAGS+set} != xset; then
     3580    OPT_CXXFLAGS="$CXXFLAGS"
     3581  fi
    34753582fi
    34763583
    34773584# Try if CXXFLAGS works
     3585save_CXXFLAGS="$CXXFLAGS"
    34783586cat >conftest.$ac_ext <<_ACEOF
    34793587/* confdefs.h.  */
     
    35233631      conftest$ac_exeext conftest.$ac_ext
    35243632if test -z "$CXXFLAGS"; then
    3525   { echo "$as_me:$LINENO: WARNING: The flags CXXFLAGS=\"$CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&5
    3526 echo "$as_me: WARNING: The flags CXXFLAGS=\"$CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&2;}
     3633  { echo "$as_me:$LINENO: WARNING: The flags CXXFLAGS=\"$save_CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&5
     3634echo "$as_me: WARNING: The flags CXXFLAGS=\"$save_CXXFLAGS\" do not work.  I will now just try '-O', but you might want to set CXXFLAGS manually." >&2;}
    35273635  CXXFLAGS='-O'
    35283636  cat >conftest.$ac_ext <<_ACEOF
     
    35773685  fi
    35783686fi
    3579 coin_cv_cxxflags="$CXXFLAGS"
    3580 
    3581 fi
    3582 echo "$as_me:$LINENO: result: $coin_cv_cxxflags" >&5
    3583 echo "${ECHO_T}$coin_cv_cxxflags" >&6 # AC_CACHE_CHECK([for C++ compiler options CXXFLAGS]
    3584 CXXFLAGS="$coin_cv_cxxflags"
     3687
     3688{ echo "$as_me:$LINENO: C++ compiler options are: $CXXFLAGS" >&5
     3689echo "$as_me: C++ compiler options are: $CXXFLAGS" >&6;}
    35853690
    35863691
     
    46354740*-*-irix6*)
    46364741  # Find out which ABI we are using.
    4637   echo '#line 4637 "configure"' > conftest.$ac_ext
     4742  echo '#line 4742 "configure"' > conftest.$ac_ext
    46384743  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    46394744  (eval $ac_compile) 2>&5
     
    57695874
    57705875# Provide some information about the compiler.
    5771 echo "$as_me:5771:" \
     5876echo "$as_me:5876:" \
    57725877     "checking for Fortran 77 compiler version" >&5
    57735878ac_compiler=`set X $ac_compile; echo $2`
     
    68366941   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    68376942   -e 's:$: $lt_compiler_flag:'`
    6838    (eval echo "\"\$as_me:6838: $lt_compile\"" >&5)
     6943   (eval echo "\"\$as_me:6943: $lt_compile\"" >&5)
    68396944   (eval "$lt_compile" 2>conftest.err)
    68406945   ac_status=$?
    68416946   cat conftest.err >&5
    6842    echo "$as_me:6842: \$? = $ac_status" >&5
     6947   echo "$as_me:6947: \$? = $ac_status" >&5
    68436948   if (exit $ac_status) && test -s "$ac_outfile"; then
    68446949     # The compiler can only warn and ignore the option if not recognized
     
    71047209   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    71057210   -e 's:$: $lt_compiler_flag:'`
    7106    (eval echo "\"\$as_me:7106: $lt_compile\"" >&5)
     7211   (eval echo "\"\$as_me:7211: $lt_compile\"" >&5)
    71077212   (eval "$lt_compile" 2>conftest.err)
    71087213   ac_status=$?
    71097214   cat conftest.err >&5
    7110    echo "$as_me:7110: \$? = $ac_status" >&5
     7215   echo "$as_me:7215: \$? = $ac_status" >&5
    71117216   if (exit $ac_status) && test -s "$ac_outfile"; then
    71127217     # The compiler can only warn and ignore the option if not recognized
     
    72087313   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    72097314   -e 's:$: $lt_compiler_flag:'`
    7210    (eval echo "\"\$as_me:7210: $lt_compile\"" >&5)
     7315   (eval echo "\"\$as_me:7315: $lt_compile\"" >&5)
    72117316   (eval "$lt_compile" 2>out/conftest.err)
    72127317   ac_status=$?
    72137318   cat out/conftest.err >&5
    7214    echo "$as_me:7214: \$? = $ac_status" >&5
     7319   echo "$as_me:7319: \$? = $ac_status" >&5
    72157320   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    72167321   then
     
    95539658  lt_status=$lt_dlunknown
    95549659  cat > conftest.$ac_ext <<EOF
    9555 #line 9555 "configure"
     9660#line 9660 "configure"
    95569661#include "confdefs.h"
    95579662
     
    96539758  lt_status=$lt_dlunknown
    96549759  cat > conftest.$ac_ext <<EOF
    9655 #line 9655 "configure"
     9760#line 9760 "configure"
    96569761#include "confdefs.h"
    96579762
     
    1199712102   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1199812103   -e 's:$: $lt_compiler_flag:'`
    11999    (eval echo "\"\$as_me:11999: $lt_compile\"" >&5)
     12104   (eval echo "\"\$as_me:12104: $lt_compile\"" >&5)
    1200012105   (eval "$lt_compile" 2>conftest.err)
    1200112106   ac_status=$?
    1200212107   cat conftest.err >&5
    12003    echo "$as_me:12003: \$? = $ac_status" >&5
     12108   echo "$as_me:12108: \$? = $ac_status" >&5
    1200412109   if (exit $ac_status) && test -s "$ac_outfile"; then
    1200512110     # The compiler can only warn and ignore the option if not recognized
     
    1210112206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1210212207   -e 's:$: $lt_compiler_flag:'`
    12103    (eval echo "\"\$as_me:12103: $lt_compile\"" >&5)
     12208   (eval echo "\"\$as_me:12208: $lt_compile\"" >&5)
    1210412209   (eval "$lt_compile" 2>out/conftest.err)
    1210512210   ac_status=$?
    1210612211   cat out/conftest.err >&5
    12107    echo "$as_me:12107: \$? = $ac_status" >&5
     12212   echo "$as_me:12212: \$? = $ac_status" >&5
    1210812213   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1210912214   then
     
    1367113776   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1367213777   -e 's:$: $lt_compiler_flag:'`
    13673    (eval echo "\"\$as_me:13673: $lt_compile\"" >&5)
     13778   (eval echo "\"\$as_me:13778: $lt_compile\"" >&5)
    1367413779   (eval "$lt_compile" 2>conftest.err)
    1367513780   ac_status=$?
    1367613781   cat conftest.err >&5
    13677    echo "$as_me:13677: \$? = $ac_status" >&5
     13782   echo "$as_me:13782: \$? = $ac_status" >&5
    1367813783   if (exit $ac_status) && test -s "$ac_outfile"; then
    1367913784     # The compiler can only warn and ignore the option if not recognized
     
    1377513880   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1377613881   -e 's:$: $lt_compiler_flag:'`
    13777    (eval echo "\"\$as_me:13777: $lt_compile\"" >&5)
     13882   (eval echo "\"\$as_me:13882: $lt_compile\"" >&5)
    1377813883   (eval "$lt_compile" 2>out/conftest.err)
    1377913884   ac_status=$?
    1378013885   cat out/conftest.err >&5
    13781    echo "$as_me:13781: \$? = $ac_status" >&5
     13886   echo "$as_me:13886: \$? = $ac_status" >&5
    1378213887   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1378313888   then
     
    1598216087   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1598316088   -e 's:$: $lt_compiler_flag:'`
    15984    (eval echo "\"\$as_me:15984: $lt_compile\"" >&5)
     16089   (eval echo "\"\$as_me:16089: $lt_compile\"" >&5)
    1598516090   (eval "$lt_compile" 2>conftest.err)
    1598616091   ac_status=$?
    1598716092   cat conftest.err >&5
    15988    echo "$as_me:15988: \$? = $ac_status" >&5
     16093   echo "$as_me:16093: \$? = $ac_status" >&5
    1598916094   if (exit $ac_status) && test -s "$ac_outfile"; then
    1599016095     # The compiler can only warn and ignore the option if not recognized
     
    1625016355   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1625116356   -e 's:$: $lt_compiler_flag:'`
    16252    (eval echo "\"\$as_me:16252: $lt_compile\"" >&5)
     16357   (eval echo "\"\$as_me:16357: $lt_compile\"" >&5)
    1625316358   (eval "$lt_compile" 2>conftest.err)
    1625416359   ac_status=$?
    1625516360   cat conftest.err >&5
    16256    echo "$as_me:16256: \$? = $ac_status" >&5
     16361   echo "$as_me:16361: \$? = $ac_status" >&5
    1625716362   if (exit $ac_status) && test -s "$ac_outfile"; then
    1625816363     # The compiler can only warn and ignore the option if not recognized
     
    1635416459   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1635516460   -e 's:$: $lt_compiler_flag:'`
    16356    (eval echo "\"\$as_me:16356: $lt_compile\"" >&5)
     16461   (eval echo "\"\$as_me:16461: $lt_compile\"" >&5)
    1635716462   (eval "$lt_compile" 2>out/conftest.err)
    1635816463   ac_status=$?
    1635916464   cat out/conftest.err >&5
    16360    echo "$as_me:16360: \$? = $ac_status" >&5
     16465   echo "$as_me:16465: \$? = $ac_status" >&5
    1636116466   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1636216467   then
     
    2049320598   { (exit 1); exit 1; }; }
    2049420599fi
    20495 if test -z "${COIN_DEBUG_TRUE}" && test -z "${COIN_DEBUG_FALSE}"; then
    20496   { { echo "$as_me:$LINENO: error: conditional \"COIN_DEBUG\" was never defined.
    20497 Usually this means the macro was only invoked conditionally." >&5
    20498 echo "$as_me: error: conditional \"COIN_DEBUG\" was never defined.
    20499 Usually this means the macro was only invoked conditionally." >&2;}
    20500    { (exit 1); exit 1; }; }
    20501 fi
    2050220600if test -z "${AMDEP_TRUE}" && test -z "${AMDEP_FALSE}"; then
    2050320601  { { echo "$as_me:$LINENO: error: conditional \"AMDEP\" was never defined.
     
    2109321191s,@ALWAYS_FALSE_TRUE@,$ALWAYS_FALSE_TRUE,;t t
    2109421192s,@ALWAYS_FALSE_FALSE@,$ALWAYS_FALSE_FALSE,;t t
    21095 s,@COIN_DEBUG_TRUE@,$COIN_DEBUG_TRUE,;t t
    21096 s,@COIN_DEBUG_FALSE@,$COIN_DEBUG_FALSE,;t t
    2109721193s,@CDEFS@,$CDEFS,;t t
     21194s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
     21195s,@DBG_CFLAGS@,$DBG_CFLAGS,;t t
     21196s,@OPT_CFLAGS@,$OPT_CFLAGS,;t t
    2109821197s,@CC@,$CC,;t t
    2109921198s,@CFLAGS@,$CFLAGS,;t t
     
    2110321202s,@EXEEXT@,$EXEEXT,;t t
    2110421203s,@OBJEXT@,$OBJEXT,;t t
    21105 s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
    2110621204s,@MPICC@,$MPICC,;t t
    2110721205s,@CXXDEFS@,$CXXDEFS,;t t
     21206s,@ADD_CXXFLAGS@,$ADD_CXXFLAGS,;t t
     21207s,@DBG_CXXFLAGS@,$DBG_CXXFLAGS,;t t
     21208s,@OPT_CXXFLAGS@,$OPT_CXXFLAGS,;t t
    2110821209s,@CXX@,$CXX,;t t
    2110921210s,@CXXFLAGS@,$CXXFLAGS,;t t
    2111021211s,@ac_ct_CXX@,$ac_ct_CXX,;t t
    21111 s,@ADD_CXXFLAGS@,$ADD_CXXFLAGS,;t t
    2111221212s,@MPICXX@,$MPICXX,;t t
    2111321213s,@EGREP@,$EGREP,;t t
  • branches/devel/Clp/configure.ac

    r786 r837  
    4545
    4646# Check if user wants to produce debugging code
    47 AC_COIN_DEBUG_COMPILE
     47AC_COIN_DEBUG_COMPILE(Clp)
    4848
    4949# Get the name of the C++ compiler and appropriate compiler options
  • branches/devel/Clp/inc/config_clp.h.in

    r761 r837  
    11/* inc/config_clp.h.in.  Generated from configure.ac by autoheader.  */
    22
    3 /* If defined, debug sanity checks are performed during runtime */
    4 #undef COIN_DEBUG
     3/* Define to the debug sanity check level (0 is no test) */
     4#undef COIN_CLP_CHECKLEVEL
     5
     6/* Define to the debug verbosity level (0 is no output) */
     7#undef COIN_CLP_VERBOSITY
    58
    69/* Define to 1 if the Clp package is used */
  • branches/devel/Clp/src/CbcOrClpParam.cpp

    r835 r837  
    1313
    1414#ifdef COIN_HAS_CBC
     15#ifdef COIN_HAS_CLP
    1516#include "OsiClpSolverInterface.hpp"
    1617#include "ClpSimplex.hpp"
     18#endif
    1719#include "CbcModel.hpp"
    1820#endif
     
    24292431  return i;
    24302432}
     2433#ifdef COIN_HAS_CLP
    24312434// Dump a solution to file
    24322435void saveSolution(const ClpSimplex * lpSolver,std::string fileName)
     
    24532456  }
    24542457}
    2455 
     2458#endif
  • branches/devel/Clp/src/ClpConfig.h

    r772 r837  
    4242/***************************************************************************/
    4343
    44 /* If defined, debug sanity checks are performed during runtime */
    45 /* #define COIN_DEBUG 1 */
     44/* Define to the debug sanity check level (0 is no test) */
     45#define COIN_CLP_CHECKLEVEL 0
     46
     47/* Define to the debug verbosity level (0 is no output) */
     48#define COIN_CLP_VERBOSITY 0
    4649
    4750/* Define to 1 if the Clp package is used */
  • branches/devel/Clp/src/Makefile.am

    r806 r837  
    100100# "cygpath" stuff is necessary to compile with native compilers on Windows.
    101101AM_CPPFLAGS = \
    102         -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src`
     102        -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
     103        -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
    103104
    104105# This line is necessary to allow VPATH compilation with MS compilers
  • branches/devel/Clp/src/Makefile.in

    r827 r837  
    140140COINUTILSOBJDIR = @COINUTILSOBJDIR@
    141141COINUTILSSRCDIR = @COINUTILSSRCDIR@
    142 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    143 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    144142COIN_HAS_CLP_FALSE = @COIN_HAS_CLP_FALSE@
    145143COIN_HAS_CLP_TRUE = @COIN_HAS_CLP_TRUE@
     
    154152CXXFLAGS = @CXXFLAGS@
    155153CYGPATH_W = @CYGPATH_W@
     154DBG_CFLAGS = @DBG_CFLAGS@
     155DBG_CXXFLAGS = @DBG_CXXFLAGS@
    156156DEFS = @DEFS@
    157157DEPDIR = @DEPDIR@
     
    190190MPICXX = @MPICXX@
    191191OBJEXT = @OBJEXT@
     192OPT_CFLAGS = @OPT_CFLAGS@
     193OPT_CXXFLAGS = @OPT_CXXFLAGS@
    192194PACKAGE = @PACKAGE@
    193195PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
     
    339341# "cygpath" stuff is necessary to compile with native compilers on Windows.
    340342AM_CPPFLAGS = \
    341         -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src`
     343        -I`$(CYGPATH_W) $(COINUTILSSRCDIR)/src` \
     344        -I`$(CYGPATH_W) $(COINUTILSOBJDIR)/inc`
    342345
    343346
  • branches/devel/Clp/test/Makefile.in

    r827 r837  
    7979COINUTILSOBJDIR = @COINUTILSOBJDIR@
    8080COINUTILSSRCDIR = @COINUTILSSRCDIR@
    81 COIN_DEBUG_FALSE = @COIN_DEBUG_FALSE@
    82 COIN_DEBUG_TRUE = @COIN_DEBUG_TRUE@
    8381COIN_HAS_CLP_FALSE = @COIN_HAS_CLP_FALSE@
    8482COIN_HAS_CLP_TRUE = @COIN_HAS_CLP_TRUE@
     
    9391CXXFLAGS = @CXXFLAGS@
    9492CYGPATH_W = @CYGPATH_W@
     93DBG_CFLAGS = @DBG_CFLAGS@
     94DBG_CXXFLAGS = @DBG_CXXFLAGS@
    9595DEFS = @DEFS@
    9696DEPDIR = @DEPDIR@
     
    126126MPICXX = @MPICXX@
    127127OBJEXT = @OBJEXT@
     128OPT_CFLAGS = @OPT_CFLAGS@
     129OPT_CXXFLAGS = @OPT_CXXFLAGS@
    128130PACKAGE = @PACKAGE@
    129131PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
Note: See TracChangeset for help on using the changeset viewer.